namespace TwitchEventSub.Types.ChannelSubscription
{
    public class ChannelSubscriptionGift : Event
    {
        public string user_id { get; set; } //The user ID of the user who sent the subscription gift. Set to null if it was an anonymous subscription gift.
        public string user_login { get; set; } //The user login of the user who sent the gift. Set to null if it was an anonymous subscription gift.
        public string user_name { get; set; } //The user display name of the user who sent the gift. Set to null if it was an anonymous subscription gift.
        public string broadcaster_user_id { get; set; } //The broadcaster user ID.
        public string broadcaster_user_login { get; set; } //The broadcaster login.
        public string broadcaster_user_name { get; set; } //The broadcaster display name.
        public int total { get; set; } //The number of subscriptions in the subscription gift.
        public string tier { get; set; } //The tier of subscriptions in the subscription gift.
        public int cumulative_total { get; set; } //The number of subscriptions gifted by this user in the channel. This value is null for anonymous gifts or if the gifter has opted out of sharing this information.
        public bool is_anonymous { get; set; } //Whether the subscription gift was anonymous.
    }
}