namespace TwitchEventSub.Types.ChannelSubscription
{
    public class ChannelSubscriptionMessage : Event
    {
        public string user_id { get; set; } //The user ID of the user who sent a resubscription chat message.
        public string user_login { get; set; } //The user login of the user who sent a resubscription chat message.
        public string user_name { get; set; } //The user display name of the user who a resubscription chat message.
        public string broadcaster_user_id { get; set; } //The broadcaster user ID.
        public string broadcaster_user_login { get; set; } //The broadcaster login.
        public string broadcaster_user_name { get; set; } //The broadcaster display name.
        public string tier { get; set; } //The tier of the user’s subscription.
        public Message message { get; set; } //An object that contains the resubscription message and emote information needed to recreate the message.
        public int cumulative_months { get; set; } //The total number of months the user has been subscribed to the channel.
        public int streak_months { get; set; } //The number of consecutive months the user’s current subscription has been active. This value is null if the user has opted out of sharing this information.
        public int duration_months { get; set; } //The month duration of the subscription.
    }
    public class Message
    {
        public string text { get; set; }
        public Emote[] emotes { get; set; }
    }
    public class Emote
    {
        public int begin { get; set; } //where the Emote starts in the text.
        public int end { get; set; } //where the Emote ends in the text.
        public string id { get; set; }
    }
}