namespace TwitchEventSub.Types
{
    public class ExtensionBitsTransactionCreate : Event
    {
        public string extension_client_id { get; set; } //Client ID of the extension.
        public string id { get; set; } //Transaction ID.
        public string broadcaster_user_id { get; set; } //The transaction’s broadcaster ID.
        public string broadcaster_user_login { get; set; } //The transaction’s broadcaster login.
        public string broadcaster_user_name { get; set; } //The transaction’s broadcaster display name.
        public string user_id { get; set; } //The transaction’s user ID.
        public string user_login { get; set; } //The transaction’s user login.
        public string user_name { get; set; } //The transaction’s user display name.
        public ExtensionProduct product { get; set; } //Additional extension product information.
    }

    public class ExtensionProduct
    {
        public string name { get; set; }
        public int bits { get; set; } //involved in the transaction
        public string sku { get; set; } //Unique identifier for the product acquired.
        public bool in_development { get; set; } //Flag indicating if the product is in development. If in_development is true, bits will be 0.
    }
}