namespace TwitchEventSub.Types
{
    public class Goals : Event
    {
        public string id { get; set; } //An ID that identifies this event.
        public string broadcaster_user_id { get; set; } //An ID that uniquely identifies the broadcaster.
        public string broadcaster_user_name { get; set; } //The broadcaster’s display name.
        public string broadcaster_user_login { get; set; } //The broadcaster’s user handle.
        public GoalType type { get; set; } //The type of goal. Possible values are: followers, subscriptions
        public string description { get; set; } //maximum of 40 characters
        public bool? is_achieved { get; set; } //whether the broadcaster achieved their goal. Only the channel.goal.end event includes this
        public int current_amount { get; set; }
        public int target_amount { get; set; }
        public string started_at { get; set; } //The UTC timestamp in RFC 3339 format, which indicates when the broadcaster created the goal.
        public string ended_at { get; set; } //The UTC timestamp in RFC 3339 format, which indicates when the broadcaster ended the goal. Only the channel.goal.end event includes this field.
    }
    public enum GoalType { followers, subscriptions }
}